
Redmine - Defect #3190

Custom field won't be removed if you changed the tracker to a none-custom-field tracker

2009-04-16 10:11 - Minjie Zhu

Status: Closed Start date: 2009-04-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 0.8.4   

Resolution: Fixed Affected version:  

Description

Confirmed with Redmine Ver: r2670

1. create a custom field

2. create a tracker that uses the custom field

3. create a new issue using the tracker and enter some value into the custom field

4. when the issue is shown click on Move

5. Move the issue to another tracker without the custom field.

6. Show the issue and the costom field still exists although the tracker doesn't contain the costom field.

I have to remove the custom field from the tracker which dosen't contain it by editing the Database directly.

I think if the tracker of issure is changed, the custom field which is not defined for the tracker should be removed.

Thank you for reading.

Associated revisions

Revision 2724 - 2009-05-10 12:36 - Jean-Philippe Lang

Fixes consistency of custom fields display on the issue detail view (#3190).

History

#1 - 2009-05-10 12:28 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.4

- Resolution set to Fixed

This is fixed in r2724.

#2 - 2009-05-11 09:54 - Minjie Zhu

Jean-Philippe Lang wrote:

This is fixed in r2724.

 I confirmed the revision and it works well!

And I found that this revision just changed the view, but not the data in DB. Because if I return the tracker to the former, the custom field shows the

old data.

Maybe it would be nice to clear the custom field of the ticket when the tracker is changed.

But now it maybe good enough. So thank you so much for your help :)

#3 - 2009-05-17 10:48 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8-stable in r2746.
